Skip to main content
PUT
Update Dose

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

dose_id
string
required

Body

application/json

Schema for updating an existing dose record.

doseDate
string<date-time> | null
name
string | null
unit
string | null
sideEffects
string | null
administrationLocation
string | null
amount
number | null
quantity
number | null
frequency
string | null
comment
string | null
lotNumber
string | null
stockId
string | null
noteId
string | null
signedOffProviderId
string | null
signedOffDate
string<date-time> | null

Response

Successful Response

Schema for returning dose information with computed fields.

medicationId
string
required
patientId
string
required
id
string
required
createdDate
string<date-time>
required
providerId
string | null
doseDate
string<date-time> | null
name
string | null
unit
string | null
sideEffects
string | null
administrationLocation
string | null
amount
number | null
quantity
number
default:1
frequency
string | null
comment
string | null
lotNumber
string | null
stockId
string | null
noteId
string | null
signedOffProviderId
string | null
signedOffDate
string<date-time> | null
isArchived
boolean
default:false
updatedDate
string<date-time> | null
provider
UserTiny · object | null
signedOffProvider
UserTiny · object | null